%define upstream_name   Package-Generator
%define upstream_version 1.106

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 10
License:    GPL or Artistic
Group:      Development/Perl
Summary:    pseudo-garbage-collection for packages
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module allows you to create simple objects which, when destroyed,
delete a given package. This lets you approximate lexically scoped
packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Package

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.106-10.mga10
+ Revision: 2200062
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.106-9.mga9
+ Revision: 1805029
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.106-8.mga8
+ Revision: 1496215
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.106-7.mga7
+ Revision: 1270231
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.106-6.mga6
+ Revision: 1031604
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.106-5.mga6
+ Revision: 949257
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.106-4.mga5
+ Revision: 789283
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.106-3.mga5
+ Revision: 743554
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.106-2.mga5
+ Revision: 685850
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.106-1.mga5
+ Revision: 586701
- update to 1.106

* Sat Oct 19 2013 umeabot <umeabot> 1.105-2.mga4
+ Revision: 529203
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 sander85 <sander85> 1.105-1.mga4
+ Revision: 450953
- update to 1.105

* Sun Jan 13 2013 umeabot <umeabot> 0.103-2.mga3
+ Revision: 371345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.103-1.mga1
+ Revision: 32300
- mageia rebuild
- imported package perl-Package-Generator


* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.103-1mdv2010.0
+ Revision: 394088
- update to new version 0.103

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.102-2mdv2009.0
+ Revision: 268705
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2009.0
+ Revision: 213827
- import perl-Package-Generator


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2009.0
- first mdv release
